# wxRealPoint Class Reference
[Data Structures]

`#include <wx/gdicmn.h>`

## Detailed Description

A wxRealPoint is a useful data structure for graphics operations.

It contains floating point x and y members. See wxPoint for an integer version.

Note that the coordinates stored inside a wxRealPoint object may be negative and that wxRealPoint functions do not perform any check against negative values.

##

Library: wxCore

Category: Data Structures

See also:
  wxPoint

## Public Member Functions
| wxRealPoint ()
| Initializes to zero the x and y members.
| wxRealPoint (double x, double y)
| Initializes the point with the given coordinates.
| wxRealPoint (const wxPoint &pt)
| Converts the given wxPoint (with integer coordinates) to a wxRealPoint.
Miscellaneous operators
Note that these operators are documented as class members (to make them easier to find) but, as their prototype shows, they are implemented as global operators; note that this is transparent to the user but it helps to understand why the following functions are documented to take the wxPoint they operate on as an explicit argument.
wxRealPoint & | operator= (const wxRealPoint &pt)
bool | operator== (const wxRealPoint &p1, const wxRealPoint &p2)
bool | operator!= (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator+ (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator- (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint & | operator+= (const wxRealPoint &pt)
wxRealPoint & | operator-= (const wxRealPoint &pt)
wxRealPoint | operator+ (const wxRealPoint &pt, const wxSize &sz)
wxRealPoint | operator- (const wxRealPoint &pt, const wxSize &sz)
wxRealPoint | operator+ (const wxSize &sz, const wxRealPoint &pt)
wxRealPoint | operator- (const wxSize &sz, const wxRealPoint &pt)
wxRealPoint & | operator+= (const wxSize &sz)
wxRealPoint & | operator-= (const wxSize &sz)
wxSize | operator/ (const wxRealPoint &sz, int factor)
wxSize | operator* (const wxRealPoint &sz, int factor)
wxSize | operator* (int factor, const wxSize &sz)
wxSize & | operator/= (int factor)
wxSize & | operator*= (int factor)
## Public Attributes
double | x
| X coordinate of this point.
double | y
| Y coordinate of this point.

List of all members.

## Constructor & Destructor Documentation

wxRealPoint::wxRealPoint | ( |  | ) |

Initializes to zero the x and y members.

wxRealPoint::wxRealPoint | ( | double | x,
|  | double | y |
| ) |  |  |

Initializes the point with the given coordinates.

wxRealPoint::wxRealPoint | ( | const wxPoint & | pt | ) |

Converts the given wxPoint (with integer coordinates) to a wxRealPoint.

## Member Function Documentation

bool wxRealPoint::operator!= | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 |
| ) |  |  |

wxSize wxRealPoint::operator* | ( | int | factor,
|  | const wxSize & | sz |
| ) |  |  |

wxSize wxRealPoint::operator* | ( | const wxRealPoint & | sz,
|  | int | factor |
| ) |  |  |

wxSize& wxRealPoint::operator*= | ( | int | factor | ) |

wxRealPoint wxRealPoint::operator+ | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt |
| ) |  |  |

wxRealPoint wxRealPoint::operator+ | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz |
| ) |  |  |

wxRealPoint wxRealPoint::operator+ | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 |
| ) |  |  |

wxRealPoint& wxRealPoint::operator+= | ( | const wxSize & | sz | ) |

wxRealPoint& wxRealPoint::operator+= | ( | const wxRealPoint & | pt | ) |

wxRealPoint wxRealPoint::operator- | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt |
| ) |  |  |

wxRealPoint wxRealPoint::operator- | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz |
| ) |  |  |

wxRealPoint wxRealPoint::operator- | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 |
| ) |  |  |

wxRealPoint& wxRealPoint::operator-= | ( | const wxSize & | sz | ) |

wxRealPoint& wxRealPoint::operator-= | ( | const wxRealPoint & | pt | ) |

wxSize wxRealPoint::operator/ | ( | const wxRealPoint & | sz,
|  | int | factor |
| ) |  |  |

wxSize& wxRealPoint::operator/= | ( | int | factor | ) |

wxRealPoint& wxRealPoint::operator= | ( | const wxRealPoint & | pt | ) |

bool wxRealPoint::operator== | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 |
| ) |  |  |

## Member Data Documentation

double wxRealPoint::x

X coordinate of this point.

double wxRealPoint::y

Y coordinate of this point.

|  | [ top ]